ObjectRescue.com - Help Contents

Help Contents

FileRescue for NTFS is easy to use, but powerful software utility, designed to restore accidentally deleted files and folders. It allows you to recover files that have been deleted from the Recycle Bin, as well as those deleted after avoiding the Recycle Bin (e.g. Shift-Delete). It will also recover files deleted by virus attacks and software faults. 100% FREE to try.

FileRescue works under Windows NT/2000/XP/2003 operating systems. The program supports modern Windows file systems for hard drives: NTFS and NTFS 5.

See also: Quick Start help topic.

Main Features

  • Explorer-style user interface, with easy to use Recovery Wizard
  • Supports modern Windows file systems: NTFS and NTFS 5 used in Windows NT/2000/XP/2003.
  • Recovers data from formatted media
  • Recovers data from corrupted media
  • Recovers data lost due to a virus attack or software faults.
  • Recovers files emptied from your Recycle Bin.
  • Recognizes localized names (UNICODE support)
  • Shows probability of successful recovery for each file.
  • Supports all modern Windows versions, including Windows® NT/2000/XP/2003
  • and many more!

Trial Restriction & Licensing

If you are using the software in trial operation you will be able to recover 500 Kbytes within 30 days for FREE. This is the only limitation of the trial version. We will provide full support & assistance for you should you have any problems or questions. If you really like the product, you are welcome to buy it & register with us. Registered version does not have any limitations & can restore as many files as you need.

To use the FileRescue without restrictions you need to obtain a licence key which can be purchased online.

Once you have receive a valid licence key you can remove the trial restriction by entering activation code in FileRescue.

Products pricing:

FileRescue for NTFS via RegSoft.com
USD $34.95
FileRescue for NTFS via ShareIt.com
EUR €26.95

* The use of the FileRescue in a commercial (non-personal) environment requires the purchase of a Commercial License.

Using the Documentation

Simply click a topic in the panel to the left to display all relevant information about that topic. All topics are explained in detail and are all accurate and up-to-date.

You can press F1 at any time while FileRescue is active for context sensitive help.

FileRescue is a product of ObjectRescue.com (www.ObjectRescue.com) software company. Please, click here to learn more about ObjectRescue.com. Your feedback are welcome, send any comment, bug reports & suggestions to support@objectrescue.com. We will be happy to hear from you.

See also:
Quick Start
Frequently Asked Questions (FAQs)
About ObjectRescue.com
Purchasing Information

Copyright © 2000-2004 ObjectRescue.com. All rights reserved.
Microsoft Windows is a registered trademark of Microsoft Corporation.
All other registered and unregistered trademarks in this document are the sole property of their respective owners.


ObjectRescue.com - Quick Start

Quick Start

This section explains the procedures you should follow to begin using FileRescue Pro and to recover deleted data.

Step 1: Select Drive and Analyze It

In the top left corner of the program window there is a "Open Drive" button.

Click it to display a list of all local drives available on your system. Select the one that contained the lost file or files and click "OK".

FileRecovery will start analyzing the content of selected disk. This procedure is needed to find links to all deleted files and folders on the disk. Unfortunately it is impossible to go right to your file until the whole content of the disk is analyzed, so the procedure will take some time.

When analyzing finished, the program will display found files and folders:

Step 2: Find Lost File on the Disk

If you select a folder in the left view, you will see its content in the right view. Now you can browse the content of your disk right like you do in the Windows Explorer. In addition to existing files and folders you will also see deleted ones. They are marked by red color of the icon.

Legend:

deleted file | deleted folder
live (existing) file | folder exists, but it contains deleted files or folders
 | live (existing) folder

You can select View -> Show Only Deleted to make the program show only deleted files and folders.

Use the right view to select files and folders that you want to recover.

You can also click the "Find file" button [image] (Ctrl+F) on the toolbar to search for a file by a part of its name or by a mask.

Step 3: Recover the File and View it

After you selected files and folders that you want to recover, click the "Recover" button [image] on the toolbar (Ctrl+S). The "Recovery Wizard" will show up.

On first screen you may confirm or change the files you select for recovery. Uncheck the files not need to be recovered. Click Next > to continue with wizard.

On second screen you select a folder where you want to save the recovered data. If you recover several files, it is strongly recommended to select a location on a different disk. This way you will make sure that first recovered file will not be saved over the data required to recover the next file.

You can also select the following options.

Restore folder structure.
If this option is selected, the full branch of the folders tree containing the selected files and folders will be recovered to the selected folder.

Recover alternative data streams.
Recover alternative data streams along with the main file data. Alternative data streams are used on NTFS file system to store additional information about files, such as user comments.

Click Next > to start actual file recovery.

On this screen you can watch file recovery progress and see log of performed operations. When recovery complete - Click Next >, on the last step you will be View recovered files in Windows Explorer.

Note
If you are using the software in trial operation you will be able to recover 500 Kbytes within 30 days for FREE. This is the only limitation of the trial version. We will provide full support & assistance for you should you have any problems or questions. If you really like the product, you are welcome to buy it & register with us. Registered version does not have any limitations & can restore as many files as you need.

To use the FileRescue without restrictions you need to obtain a licence key which can be purchased online.

THAT'S ALL.

Above we have described the most basic features of FileRescue to get you started. However, FileRescue offers much more. Please read the documentation to learn more about the powerful features of FileRescue and discover how you can use it to recover your files!

See also:
Purchasing Information
Frequently Asked Questions (FAQ's)

Copyright © 2000-2004 ObjectRescue.com. All rights reserved.


ObjectRescue.com - Features

Features

Below is the list of FileRescue for NTFS main features.

  • Explorer-style user interface
  • Supports modern Windows file systems: NTFS and NTFS 5 used in Windows NT/2000/XP/2003.
  • Recognizes localized names (UNICODE support).
  • Shows probability of successful recovery for each file.
  • You can search for deleted files on a disk by filename or mask, creation date and size.
  • Ignores file access rights (NTFS)
  • Saves folders with subfolders
  • Recovered files can be saved on any (including network) disks visible to the host operating system
  • and much more...

FileRescue recovers:

  • Files and Folders emptied from the Recycle Bin.
  • Common folders such as My Documents, My Pictures and other.
  • Photos deleted from digital cameras.
  • Files and folders deleted from the command line.
  • Data lost due to a virus or worm attack or software faults.
  • Damaged disks (disks with bad sectors).

From various storage media including:

  • Hard Drives
  • Digital cameras
  • Floppy disks
  • Zip Disks
  • Jaz Disks
  • Sony Memory Sticks
  • Compact Flash cards
  • Smart Media
  • Any USB disks

See also:
Purchasing Information
Frequently Asked Questions (FAQ's)


ObjectRescue.com - Email Newsletter

If you want to be notified about new ObjectRescue.com software, bug fixes or updates, we recommend that you join our free NEWSLETTER mailing list:

You can subscribe online at http://www.objectrescue.com/newsletters/subscribe.html

After you join the list you will receive a confirmation email. We are dedicated to a policy of not SPAMing. This software update is periodically sent as new software releases become available. It is also the only way to get access to early beta versions and inside information! We will not sell your email address.


ObjectRescue.com - Other software

ObjectRescue.com and our Partners Software:

Data Recovery Software

AudioRescue Pro AudioRescue Pro Recover lost audio files from whole host of multimedia devices - from digital audio recorders, MP3 & WMA players to PDAs and mobile phones. Program support recovery of wide range file formats: MP3, WMA, OGG, WAV, MIDI, etc.
More Information Download Order Now (US $24.95)

PhotoRescue Pro PhotoRescue Pro Recover lost images from whole host of multimedia devices - from digital cameras, PDAs and mobile phones to PC Hard Drives. Program support recovery of wide range file formats: JPEG, GIF, BMP, CRW, etc.
More Information Download Order Now (US $29.95)

VideoRescue Pro VideoRescue Pro Recover lost video files from whole host of digital devices - DV Camcorders, PDAs, mobile phones and PC Hard Drives with addition of wide range file format support: AVI, MOV, MPEG, RM, etc.
More Information Download Order Now (US $34.95)

MediaRescue Pro MediaRescue Pro Recover lost MP3, WMA, JPEG, PNG, GIF, AVI, MOV, WAV, MIDI and other multimedia files from whole host of multimedia devices - from digital camcoders, digital still cameras, digital audio recorders, PDAs, mobile phones to PC hard drives.
More Information Download Order Now (US $39.95)

DocumentsRescue Pro DocumentsRescue Pro Recover lost document files from PC, PDAs, SmartPhones and any other storage device with addition of wide range file format support: DOC, XLS, PPT, PDF, RTF, LIT, 3DS, etc.
More Information Download Order Now (US $34.95)

ObjectRescue Pro ObjectRescue Pro Recover lost files from any media. Featuring innovative recovery algorithms and contains advanced data recovery capabilities that allow you to search file types including music files, images, video, documents, mail or just about anything.
More Information Download Order Now (US $49.95)

ArchiveRescue Pro ArchiveRescue Pro Recovery tool for deleted ZIP, RAR and many other archive formats. With support of any storage medium is very easy to use and shows excellent recovery rate.
More Information Download Order Now (US $34.95)

* Software is designed to be Windows platform independent, i.e. it runs on Windows 95/98/ME and Windows NT/2000/XP/2003 unless stated otherwise.

Copyright © 1996-2004 ObjectRescue.com. All rights reserved.


ObjectRescue.com - About

About

ObjectRescue.com it's a small independently owned software development company founded in 1996. At ObjectRescue.com, we develop software products for Microsoft Windows and the Internet environment. In addition to product development, we provide ongoing technical support for registered users of our products.

Please visit our Web site - www.ObjectRescue.com

With every visit to our Web site you can find information about new versions of ObjectRescue.com products, announcements, new beta versions, special offers and more.

Contact E-mail Address: support@ objectrescue.com

See also:
Support and Questions


ObjectRescue.com - FAQs

Frequently Asked Questions (FAQ's)

Please see our FAQs on the web: http://www.objectrescue.com/products/filerescuentfs/faq.html

See also:
Support and Questions


ObjectRescue.com - Support and Questions

Support and Questions

http://www.objectrescue.com/support/

If you have a question that is not answered in this manual, please take a minute to check our Frequently Asked Questions page before contacting technical support. There is a good chance that you will find the answer there. When describing your problem, please be as specific as possible. A detailed description of the problem will help us solve it much faster. Please don’t forget to mention the OS version, the program version, and all other details that you think may be relevant.

Our staff is available to respond to your inquiries 24 hours a day, excluding holidays. Messages are normally answered within one business day.

Support: support@objectrescue.com.

If you have any comments or suggestions for the next releases, please don't hesitate to post them to us.

See also:


ObjectRescue.com - Purchasing Information

Purchasing Information

Ordering and Payment Methods
Order through the World Wide Web
Education Discounts

Ordering and Payment Methods

We accept five types of payment: Online, Fax, Phone, Wire Transfer, Mail and Invoices / Purchase orders. Secure Payments assured. All payment must be in US currency.

Our software is available for immediate download. Once you have purchased the product by filling in the online order form, a license will be sent to you via email to unlock the software for use. You may download the trial software before or after you complete the purchase process.

Please visit http://www.objectrescue.com/order/ to discover all ordering options.

Order through the World Wide Web

Registration is instant and you will be sent an unlock code by e-mail within a few moments. This is the fastest and easiest way to order ObjectRescue.com products. Your credit card information is sent directly to the credit card processor in a highly secure manner. We protect you by ensuring that nobody but you and the automated credit card processor will see your credit card information. You can go directly to the order page:

Secure online registration:

FileRescue for FAT via RegSoft.com ($34.95)

FileRescue for FAT via ShareIt.com (€26.95)

Education Discounts

Eligible Academic and Educational Institutions and the Students, Faculty and Staff of accredited Colleges, Universities and other institutions are able to purchase ObjectRescue.com software at up to 50% discounted pricing. For more information on eligibility, click here. If you wish to purchase Academic versions of ObjectRescue.com software, you should e-mail sales@objectrescue.com for pricing and purchase arrangements.

See also:
About ObjectRescue.com
Support and Questions


ObjectRescue.com - Academic Pricing

Academic Pricing Qualifications

The academic qualifications listed below are a guideline to help determine the eligibility of an institution or individual for academic status to purchase academic products from ObjectRescue.com.

Education Discounts

Eligible Academic and Educational Institutions and the Students, Faculty and Staff of accredited Colleges, Universities and other institutions are able to purchase ObjectRescue.com software at up to 50% discounted pricing. If you wish to purchase Academic versions of ObjectRescue.com software you should e-mail sales@objectrescue.com for pricing and purchase arrangements.

An academic institution must be organised and operated exclusively for education purposes and meet the criteria for one of the following:

  • Be a public or private school, vocational school, correspondence school, junior college, university, scientific or technical institution.
  • Be a public elementary, secondary, vocational and/or correspondence school accredited by applicable Board of Education of the prospect.
  • Be a private elementary, secondary, vocational and/or correspondence school accredited by a national, regional or state agency, including the administrative offices.
  • Be a preschool meeting all of the following criteria:
    1. is an early childhood program that serves a minimum of ten children ages two through five
    2. has been in operation for at least one year
    3. uses public or private, profit or non-profit facilities
    4. is government licensed, regulated or accredited; and
    5. provides educational and/or childcare services.

Other Qualified Institutions may include the following:

  • Hospitals that are wholly owned and operated by a qualified academic institution as described above.
  • Libraries that are wholly owned and operated by a qualified academic institution as described above.
  • Museums meeting all of the following criteria:
    1. are a public or private non-profit agency or institution organised on a permanent basis for essentially education or aesthetic purposes,
    2. utilises a professional staff,
    3. owns or utilises tangible objects, cares for them and exhibits them to the public on a regular basis.

When requested the institution is obligated to show proof of applicable accreditation by certificate or letter that verifies accreditation status to ObjectRescue.com satisfaction of compliance with the applicable qualification criteria.

Students, Faculty and Staff of Accredited Colleges/Universities:

Must have a verifiable institution or campus identification card and may also be required to provide additional proof of eligibility in the way of a verifiable payment receipt or current semester enrolment certificate. This must be provided to ObjectRescue.com prior to completion of purchase.

Acceptance of Academic Qualifications is at the sole discretion of ObjectRescue.com or its representatives.


ObjectRescue.com - License Agreement

License Agreement

ObjectRescue.com Software License Agreement

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

The SOFTWARE is owned and copyrighted by OBJECTRESCUE. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE.

Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use THE SOFTWARE, you MUST register.

Once registered, the user is granted a non-exclusive license to use THE SOFTWARE on one computer (i.e. a single CPU) at a time. The registered THE SOFTWARE software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

The THE SOFTWARE unregistered (trial) version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of THE SOFTWARE without written permission from the copyright holder.

You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorised use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

All rights not expressly granted here are reserved by OBJECTRESCUE.

U.S. government information: use, duplication, or disclosure by the U.S. Government of the computer software and documentation in this package shall be subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.277-7013 (Oct 1988) and FAR 52.227-19 (Jun 1987).

NO OTHER WARRANTIES. OBJECTRESCUE DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. OBJECTRESCUE DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

See also:
Support and Questions


ObjectRescue.com - System Requirements

System Requirements

The 32-bit version of FileRescue at least requires Windows NT 4.0. It will not run under Windows NT 3.1 or 3.5.

Minimal System Requirements:
At least 16 MB of RAM, a mouse, and enough disk space for recovered files.
The administrative privileges are required to run FileRescue under WinNT/2000/XP/2003.

FileRescue was tested and working with no problem with the following Microsoft operating systems:
Windows NT 4.0;
Windows 2000;
Windows XP;
Windows 2003.

No other programs are required to work with FileRescue.

See also:
FileRescue Installation
FileRescue Related Files
Support and Questions


ObjectRescue.com - FileRescue Installation

FileRescue Installation

Important!
When installing the software, take into account what disk files were deleted from. If files were deleted, say, from the drive D:\, we strongly recommend you not to install the software on this disk. Choose a different drive for installation. Any local/network/removable drives are supported.

If you've got FileRescue not from our web page, but from the other source (magazine CD or some software library), please visit FileRescue home page - you'll probably find the later version; usually, we release the updates about once a month.

To install FileRescue from the folder where you have downloaded the distributive, follow this procedure:

Choose Run from the Start Windows menu
type the path to the necessary folder containing the FileRescue distributive, add slash ("/") and type setup.exe
press the [Enter] key

The FileRescue Setup program will issue a number of prompts. Unless you have a reason to override the defaults it is strongly recommended that you accept the installation default settings (just press OK, Yes, or Next, as appropriate).

See also:
System Requirements
Support and Questions


ObjectRescue.com - Uninstallation

Uninstallation

Under NT/2000/XP/2003 you can uninstall FileRescue from the Control Panel -> Add/Remove Programs window. Activate the Control Panel, double-click Add/Remove Programs, and double-click on the "FileRescue" list box entry.

Technical details:
The "Uninstall FileRescue" procedure performs the following steps:
Verify it is safe to uninstall
Delete files in FileRescue folder if they were installed by this version of FileRescue and if the file's date/time stamp matches FileRescuePro.exe
Remove the FileRescue icons and program group
Remove the FileRescue entries from the registration database

Manual procedure:
1. Exit FileRescue
2. Delete the folder “C:\Program Files\FileRescue” or the folder where you have installed FileRescue
3. Remove the registry key “HKEY_CURRENT_USER\Software\Object Rescue\FileRescueNTFS” for all users

See also:
FileRescue Related Files
FileRescue Installation
System Requirements

See also:
Support and Questions


ObjectRescue.com - FileRescue Related Files

FileRescue Related Files

Filename | Description
FileRescuePro.exe | main executable
FileRescuePro.chm | documentation in Windows HTML help format
english.lng | English language interface file
readme.txt | introductory, version history, ordering information
license.txt | license agreement/warranty
file_id.diz | brief description for bulletin boards

See also:
System Requirements
Support and Questions


ObjectRescue.com - Recovery of a single file

Recovery of a single file

Note
The sooner you start to recover a deleted file, the greater the chance that the file will be recovered successfully

To recover a single file, do the following:

    • Open and scan the drive, then go to the folder where the deleted file was located, or use Find File.
    • Right-click the file or folder and select 'Recover...' from the context menu.

The Recovery Wizard window will appear. You only need to follow simple wizard steps to recover your files:

    1. Confirm list of files to be recovered
    2. Select the folder to which you want the recovered file to be saved and the file recovery settings
    3. and click Next button and see results in Windows Explorer

If you have recovered a file, and it appears that the file contains errors or corrupted data, try to scan the logical disk using Deep Scan.

See also:


ObjectRescue.com - Recovery of several files

Recovery of several files

Note
The sooner you start to recover a deleted file, the greater the chance that the file will be recovered successfully

You may recover several files in one or several folders at once. To recover a several files, do the following:

    • Open and scan the drive, then go to the folder where the deleted file was located, or use Find File.
    • Select a folder where the files to be recovered are located. You may find the folder with the files by file listing. You may select several files/folders in the same parent folder by pressing the Shift or Control button and clicking the objects simultaneously.
    • Right-click the file or folder and select 'Recover...' from the context menu.

The Recovery Wizard window will appear. You only need to follow simple wizard steps to recover your files:

    1. Confirm list of files to be recovered
    2. Select the folder to which you want the recovered file to be saved and the file recovery settings
    3. and click Next button and see results in Windows Explorer

If you have recovered a file, and it appears that the file contains errors or corrupted data, try to scan the logical disk using Deep Scan.

See also:


ObjectRescue.com - Recovery of large files

Recovery of large files

When you recover large files, File may find that there is not enough free space available on the disk to which you are going to save the recovered data. In this case, the Error Window will appear. You may either cancel the data recovery and try to find another place to save the recovered data, or free some disk space and continue data recovery. You may also continue data recovery if you are recovering several files and want some files be written to the specified location, and the rest of the files written to another one.

When FileRescue completely runs out of free space, the Stop - Not enough disk space window will appear. You may

    • Select a new output folder on another disk and retry data recovery
    • Free some space on the current disk and retry data recovery
    • Skip this particular file, and continue saving other recovered files to the specified output folder
    • Completely abort data recovery

See also:


ObjectRescue.com - Finding a File on Disk

Finding a File on Disk

When files are listed on the disk, you may make FileRescue search for particular files/folders if it is difficult to find them manually. Sometimes, FileRescue shows files/folders in folders other than their original parent folders. This happens especially often after a disk scan.

To search for a file, do the following:

Click Find [image] on the toolbar or select Find File... (Ctrl+F) in the Drive menu.

A File Find window will appear.

Specify a file to be found and its options, then click the Start button. Note that FileRescue shows only those files that match a File Mask.

File name

Use this field to enter the search mask for the files you want to find. You can use special characters:
* - any sequence of characters
? - any character

Examples:
*.txt - find all text files
*.doc - find all MS Word documents
*.zip - find all ZIP archives

Note
If a file was deleted from a FAT partition, the first letter in the name of the file can be lost. We recommend that you replace the first character with '?'. For example, you should search for ?pril.doc instead of April.doc, for ?mage.jpg instead of image.jpg.

What size is it? - you can specify limitations concerning the size of files.

When was it modified? - limitations concerning the date when files were last modified.

Search only deleted files - If this option is on, only deleted files and folders will be displayed in search results.

If FileRescue cannot find the files/folders - the file system on the disk is damaged rather seriously. You need to deep scan the disk.

See also:


ObjectRescue.com - View only deleted files and folders

View only deleted files and folders

You can select two modes when viewing disk information:

  • Show all files and folders or
  • Show only deleted files and folders (including live folders containing deleted files/folders inside)

To move between there modes select View -> Show Only Deleted.

See also:


ObjectRescue.com - Deep (sector-by-sector) scan

Deep (sector-by-sector) scan

Deep scan is much slower and it processes whole drive's surface detecting ALL possible data being deleted. This is very slow process but usually gives good results even even "usual" file recovery was not successful.

This program will analyze every sector of you data storage device (Hard Drive, USB or Flash Disk) to search deleted files. Program "knows" internal file format so it can automatically identify the file by looking on disembodied data on your drive. When program locate recognized data sequence it start RECOVERY process and sector by sector file reconstructed on another disk drive in maximally possible integrity.

Due to this technology, if file is still on your drive and was not overwritten during disk usage the program is able to find it and recover in 100% of cases! You may be surprised what documents are lurking on your hard disk without your knowledge. System Administrators will have guru status when they make use of this tool.

This advanced recovery feature available using ObjectRescue.com Digital ObjectRescue Professional software tool. You may purchase this tool separatelly, or with FileRescue Enterprise license.

See also:


ObjectRescue.com - Getting file information

Getting file information (Properties)

Available trough File -> Properties menu.

Files and folders have property sheets, which display information such as size, location, and the date the file or folder was created. When you view the properties of a file or folder, you can also get information about the:

General

Identifies the file type; its location and size; and the date it was created, last modified, and last opened.

See also:
Drive Information


ObjectRescue.com - Getting drive information

Getting drive information

Available trough Drive -> Information menu.

Drives have property sheets, which display information such as size, file system, volume label and other related information. When you view the properties of a drive, you can also get information about the:

General

Identifies the drive type; its serial number and Volume label, total and free space available, etc.

Information

General drive parameters.

Capabilities

Lists information about the drive capabilities.

See also:


ObjectRescue.com - Program Preferences

Program Preferences

Choose Options -> Preferences... to display main program settings.
Program settings are customized using the options dialog box that has the following appearance:

All options are divided into:

  • Default Folder - change the way program access the drive
  • Startup Actions - expert options
  • Logging - log file options
  • Confirmations - switch on or off confirmations
  • Interface Language - interface language selection

See also:
Support and Questions


ObjectRescue.com - Program Preferences - Default save folder

Default save folder

In this dialog you select a folder where you want to save the recovered data. If you recover several files, it is strongly recommended to select a location on a different disk. This way you will make sure that first recovered file will not be saved over the data required to recover the next file.

See also:
Program Preferences


ObjectRescue.com - Program Preferences - Selecting default action at program startup

Selecting default action at program startup

Show splash screen at startup - If checked FileRescue will display its splash screen whenever you launch the application. The splash screen shows the ObjectRescue.com logo and the version number of FileRescue.

Default actions:

  • Open disk selection window - allow you to select drive to be opened at program startup (Default)
  • Start recovery of current system disk - open current drive where Windows system located
  • Start recovery of th following drive - allow automatically open selected drive letter
  • Do nothing - don't make any actions

See also:
Program Preferences


ObjectRescue.com - Program Preferences - Activity log

Activity log

Enable program activity Logging - If checked, FileRescue will document its real-time performance (like recovery startup, processed clusters, files etc.) in the Log file you have specified.

Log file name

Type in any log file name you like.

Note
Please note that the log file name must be a valid file name with an extension. If you don't specify full path to the log file here FileRescue automatically saves the log file under the program path.

Logging options

Recycle log every program run - If you set this option, FileRescue will overwrite the log file every time it starts.

Append log to previous data - Allow log file to accumulate. Be noted that log file may have a size more than a gigabyte and larger, so consider to use next option - limit log file size.

Limit log file size

FileRescue overwrites the log file when it grows beyond a certain size. You can change this size limit by entering a number in the box labeled Maximum file size. The file size you enter is in KiloBytes.

Include in log

You can reduce the size of the Log by unchecking unnecessary options. It allows you to log only error messages rather than all the messages.

  • Status messages - Log program startup and summary information
  • Warning messages - Log warning messages
  • Error messages - Log critical error messages
  • Debug messages - Log information about every processed operation

See also:
Program Preferences


ObjectRescue.com - Program Preferences - Confirmations

Confirmations

In the Preferences -> Confirmations dialog you can switch on or off confirmations for following operations:

  • overwrite destination files when performing file recovery;
  • interrupt operation;
  • exit from program.

See also:
Program Preferences


ObjectRescue.com - Program Preferences - Interface Language

Interface Language

Select Options -> Interface Language to display language selection dialog. In this dialog all installed interface languages are listed. Using the drop-down box, select the language file to be used, and press OK.

Note: After changing the interface language program should be restarted.

If your language is not listed here you can create the required file yourself. It is quite simple: just use the file english.lng (located in the program directory) as a template; translate all words and sentences from English into the language of your choice. The file has to be saved with the name yourlanguage.lng (e.g. esperanto.lng).

Just three notes here. First, don't translate in english.lng the words in square brackets (e.g. [Translations] and [Messages] - those are the "standard" headers which should not be changed) and the sentences before the "=" sign, because the program uses these words as an ID of the translated text. Second, try to keep the sentences as short as they appear in the English version – otherwise they probably will not fit in the dialog boxes; in some cases the program may even crash if some messages are too long. And last: don't change things like %s, %d or 0x%08X – these are the format specifiers.

By the way, don't forget to inform us that you've made a new international version – we'll include this file into the next version of software. If you contact us prior to starting the translation (to be sure that you're the only person who is doing this work), you can receive free registration!

See also:
Program Preferences


ObjectRescue.com - Recovery of large files

Recovery of large files

When you recover large files, FileRescue may find that there is not enough free space available on the disk to which you are going to save the recovered data. In this case, the Error Window will appear. You may either cancel the data recovery and try to find another place to save the recovered data, or free some disk space and continue data recovery. You may also continue data recovery if you are recovering several files and want some files be written to the specified location, and the rest of the files written to another one.

When FileRescue completely runs out of free space, the Stop - Not enough disk space window will appear. You may

  • Select a new output folder on another disk and retry data recovery.
  • Free some space on the current disk and retry data recovery.
  • Skip this particular file, and continue saving other recovered files to the specified output folder.
  • Completely abort data recovery.

See also:
Purchasing Information


ObjectRescue.com - File restoring issues

File restoring issues

1.

If you have recovered a file, and it appears that the file contains errors and corrupted data, try to scan the logical disk.

Most operating systems use lazy-write. So, there is a time lag between file actions and actual changes to data on a hard drive. FileRescue analyzes data on hard drives only. That is why it does not always detects recent changes in data structure.

Most operating systems constantly write their service information on hard drives. Such writing is especially intensive during start-up and shut-down procedures. When an operating system deletes a file/folder, it treats the space where it has resided as empty and may write something in this place. If this happened, the file/folder and its parameters may be detected correctly, but its data may be lost.

2.

Folder names like 'lost_folder_43328' on NTFS partitions mean that the folder has not been found on the drive but some references to it have been. For example, folders 'My documents', 'Work', 'Photos' have been found and they all have one parent folder, whose description has not actually been found on the drive, so its name is unknown and therefore represented as 'lost_folder_43328'. Most likely the description of the folder has been overwritten.

Folder names like 'lost_folder_43328' on FAT partitions mean that some folders have been found, but they cannot be included into the folder structure for this FAT partition. Sometimes, such folders may contain other folder structures.

3.

For best results, it is recommended that the drive containing the lost data be connected as a secondary, slave drive to a working Windows system (or to a seperate partition on a working drive, just do not save or write data to the partition with the lost data). We suggest using an external hard drive as a temporary boot device if your system supports it.

See also:


ObjectRescue.com - Entering Registration Codes

Entering Registration Codes

To open the Registration Window, open "About" dialog, then click "Enter Code...".

The Registration Window allows you to register your program version. To do this, you need to buy a registration key. You will receive an E-Mail with your registration information.

  1. To unlock the program, enter the following:
    Enter the registration key code EXACTLY as written in the Registration e-mail that you received. You should use "copy and paste" for moving the registration key from the e-mail to the field. Click the right mouse button on the selected key in the e-mail, choose the Menu Item "Copy", move the cursor into the "Registration Code field" and choose the Menu Item "Paste" through the right mouse button.
  2. After you have entered the requested information, click on "OK".

    Important: Please store your Registration Key at a safe place in case of a system crash!

In case of troubles with your key please contact ObjectRescue.com support: support@objectrescue.com, we will try help you as fast as possible.

If you have any questions about our products purchase - please contact our sales staff sales@objectrescue.com.

More detailed instrucions about "How to enter registration code" available at the following location:

http://www.objectrescue.com/support/enter-code.html

See also: